> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Settlement Account Details

> Update a Product Configuration during product configuration using Razorpay Partners APIs.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to update a product's configuration. Update settlement account details and request for Payment Gateway and Payment Links products. In this sample, the payment methods object has not been used. Know about the [various error responses](/docs/sg/api/partners/errors) for this API.

<br />

Check the [use cases](/docs/sg/partners/aggregators/onboarding-api#use-cases-to-update-settlement-account-details) and [updates permitted for different product activation statuses](/docs/sg/partners/aggregators/onboarding-api#product-activation-status-and-updates-permitted) before using this API.

<Warning>
  **Watch Out!**

  Currently, we do not support making concurrent requests to the following Onboarding APIs including their combination on the same `account_id`:

  * [Update Account API](/docs/sg/api/partners/account-onboarding/update)
  * [Update Stakeholder API](/docs/sg/api/partners/stakeholder/update)
  * Update Product Configuration API

  Please wait for the response of these APIs before making subsequent requests.
</Warning>

<RequestExample>
  ```bash Curl theme={null}
  curl -X PATCH https://api.razorpay.com/v2/accounts/acc_HQVlm3bnPmccC0/products/acc_prd_HEgNpywUFctQ9e/ \
  -u <ACCESS_TOKEN> \
  -d '{
    "notifications": {
      "email": [
        "gaurav.kumar@example.com",
        "acd@gmail.com"
      ]
    },
    "checkout": {
      "theme_color": "#528FFF"
    },
    "refund": {
      "default_refund_speed": "optimum"
    },
    "settlements": {
      "account_number": "1234567890",
      "ifsc_code": "HDFC0000317",
      "beneficiary_name": "Gaurav Kumar"
    },
    "tnc_accepted": true,
    "ip": "233.233.233.234"
  }'
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");

  String accountId = "acc_GP4lfNA0iIMn5B";

  String productId = "acc_prd_HEgNpywUFctQ9e";

  JSONObject productRequest = new JSONObject();

  JSONObject notifications = new JSONObject();
  ArrayList<String> details = new ArrayList<String>();
  details.add("gaurav.kumar@example.com");
  details.add("acd@gmail.com");

  notifications.put("email",details);

  productRequest.put("notifications",notifications);

  JSONObject checkout = new JSONObject();
  checkout.put("theme_color","#528FFF");

  productRequest.put("checkout",checkout);

  JSONObject refund = new JSONObject();
  refund.put("default_refund_speed","optimum");

  productRequest.put("refund",refund);

  JSONObject settlements = new JSONObject();
  settlements.put("account_number","1234567890");
  settlements.put("ifsc_code","HDFC0000317");
  settlements.put("beneficiary_name","Gaurav Kumar");

  productRequest.put("settlements",settlements);
  productRequest.put("tnc_accepted",true);
  productRequest.put("ip","233.233.233.234");

  Account product = instance.product.edit(accountId, productId, productRequest);
  ```

  ```php PHP theme={null}
  $api = new Api(null, null, "<ACCESS_TOKEN>");

  $accountId = "acc_GP4lfNA0iIMn5B";
  $productId = "acc_prd_HEgNpywUFctQ9e";

  $api->account->fetch($accountId)->products()->edit($productId, array(
     "notifications" => array(
         "email" => array(
             "gaurav.kumar@example.com",
             "acd@gmail.com"
         )
     ),
     "checkout" => array(
         "theme_color" => "#528FFF"
     ),
     "refund" => array(
         "default_refund_speed" => "optimum"
     ),
     "settlements" => array(
         "account_number" => "1234567890",
         "ifsc_code" => "HDFC0000317",
         "beneficiary_name" => "Gaurav Kumar"
     ),
     "tnc_accepted" => true,
     "ip" => "233.233.233.234"
  ));
  ```

  ```javascript Node.js theme={null}
  const instance = new Razorpay({
    oauthToken: "<ACCESS_TOKEN>",

  const accountId = "acc_GP4lfNA0iIMn5B";
  const productId = "acc_prd_HEgNpywUFctQ9e";

  instance.products.edit(accountId, productId, {
    "notifications": {
      "email": [
        "gaurav.kumar@example.com",
        "acd@gmail.com"
      ]
    },
    "checkout": {
      "theme_color": "#528FFF"
    },
    "refund": {
      "default_refund_speed": "optimum"
    },
    "settlements": {
      "account_number": "1234567890",
      "ifsc_code": "HDFC0000317",
      "beneficiary_name": "Gaurav Kumar"
    },
    "tnc_accepted": true,
    "ip": "233.233.233.234"
  });
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('ACCESS_TOKEN')
  accountId = "acc_GP4lfNA0iIMn5B"
  productId = "acc_prd_HEgNpywUFctQ9e"

  Razorpay::Product.edit(accountId, productId, {
    "notifications": {
      "email": [
        "gaurav.kumar@example.com",
        "acd@gmail.com"
      ]
    },
    "checkout": {
      "theme_color": "#528FFF"
    },
    "refund": {
      "default_refund_speed": "optimum"
    },
    "settlements": {
      "account_number": "1234567890",
      "ifsc_code": "HDFC0000317",
      "beneficiary_name": "Gaurav Kumar"
    },
    "tnc_accepted": 1,
    "ip": "233.233.233.234"
  })
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[ACCESS_TOKEN]");

  string accountId = "acc_Z6t7VFTb9xHeOs";

  string productId = "acc_Z6t7VFTb9xHeOs";

  Dictionary<string, object> productRequest = new Dictionary<string, object>();
  Dictionary<string, object> notifications = new Dictionary<string, object>();
  List<String> details = new List<String>();
  details.Add("gaurav.kumar@example.com");
  details.Add("acd@gmail.com");

  notifications.Add("email", details);

  productRequest.Add("notifications", notifications);

  Dictionary<string, object> checkout = new Dictionary<string, object>();
  checkout.Add("theme_color", "#528FFF");

  productRequest.Add("checkout", checkout);

  Dictionary<string, object> refund = new Dictionary<string, object>();
  refund.Add("default_refund_speed", "optimum");

  productRequest.Add("refund", refund);

  Dictionary<string, object> settlements = new Dictionary<string, object>();
  settlements.Add("account_number", "1234567891");
  settlements.Add("ifsc_code", "HDFC0000317");
  settlements.Add("beneficiary_name", "Gaurav Kumar");

  productRequest.Add("settlements", settlements);
  productRequest.Add("tnc_accepted", true);
  productRequest.Add("ip", "233.233.233.234");

  Product product = client.Product.Fetch(accountId, productId).Edit(productRequest);
  ```
</RequestExample>

<ResponseExample>
  ```json PG Success theme={null}
  {
    "requested_configuration": [],
    "active_configuration": {
      "payment_capture": {
        "mode": "automatic",
        "refund_speed": "normal",
        "automatic_expiry_period": 7200
      },
      "settlements": {
        "account_number": "1234567890",
        "ifsc_code": "HDFC0000317",
        "beneficiary_name": "Gaurav Kumar"
      },
      "checkout": {
        "theme_color": "#528FFF",
        "flash_checkout": true
      },
      "refund": {
        "default_refund_speed": "optimum"
      },
      "notifications": {
        "whatsapp": true,
        "sms": false,
        "email": [
          "gaurav.kumar@example.com",
          "acd@gmail.com"
        ]
      }
    },
    "requirements": [
      {
        "field_reference": "individual_proof_of_address",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0/stakeholders/sth_HVChECMdCsVR9D/documents",
        "status": "required",
        "reason_code": "document_missing"
      },
      {
        "field_reference": "individual_proof_of_identification",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0/stakeholders/sth_HVChECMdCsVR9D/documents",
        "status": "required",
        "reason_code": "document_missing"
      },
      {
        "field_reference": "business_proof_of_identification",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0/documents",
        "status": "required",
        "reason_code": "document_missing"
      },
      {
        "field_reference": "contact_name",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "customer_facing_business_name",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "profile.address.operation.street1",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "profile.address.operation.city",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "profile.address.operation.postal_code",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "profile.address.operation.state",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      }
    ],
    "tnc":{
      "id": "tnc_IgohZaDBHRGjPv",
      "accepted": true,
      "accepted_at": 1641550798
    },
    "id": "acc_prd_HEgNpywUFctQ9e",
    "account_id": "acc_HQVlm3bnPmccC0",
    "product_name": "payment_gateway",
    "activation_status": "needs_clarification",
    "requested_at": 1625478849
  }
  ```

  ```json PL Success theme={null}
  {
    "requested_configuration": [],
    "active_configuration": {
      "payment_capture": {
        "mode": "automatic",
        "refund_speed": "normal",
        "automatic_expiry_period": 7200
      },
      "settlements": {
        "account_number": "1234567890",
        "ifsc_code": "HDFC0000317",
        "beneficiary_name": "Gaurav Kumar"
      },
      "checkout": {
        "theme_color": "#528FFF",
        "flash_checkout": true
      },
      "refund": {
        "default_refund_speed": "optimum"
      },
      "notifications": {
        "whatsapp": true,
        "sms": false,
        "email": [
          "gaurav.kumar@example.com",
          "acd@gmail.com"
        ]
      }
    },
    "requirements": [
      {
        "field_reference": "individual_proof_of_address",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0/stakeholders/sth_HVChECMdCsVR9D/documents",
        "status": "required",
        "reason_code": "document_missing"
      },
      {
        "field_reference": "individual_proof_of_identification",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0/stakeholders/sth_HVChECMdCsVR9D/documents",
        "status": "required",
        "reason_code": "document_missing"
      },
      {
        "field_reference": "business_proof_of_identification",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0/documents",
        "status": "required",
        "reason_code": "document_missing"
      },
      {
        "field_reference": "contact_name",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "customer_facing_business_name",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "profile.address.operation.street1",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "profile.address.operation.city",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "profile.address.operation.postal_code",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      },
      {
        "field_reference": "profile.address.operation.state",
        "resolution_url": "/accounts/acc_HQVlm3bnPmccC0",
        "status": "required",
        "reason_code": "field_missing"
      }
    ],
    "tnc":{
      "id": "tnc_IgohZaDBHRGjPa",
      "accepted": true,
      "accepted_at": 1641550798
    },
    "id": "acc_prd_HEgNpywUFctQ9f",
    "account_id": "acc_HQVlm3bnPmccC0",
    "product_name": "payment_links",
    "activation_status": "needs_clarification",
    "requested_at": 1625478849
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="account_id" type="string" required>
  The unique identifier of a sub-merchant account generated by Razorpay. For example, `acc_HQVlm3bnPmccC0`.
</ParamField>

<ParamField path="id" type="string" required>
  The unique identifier of a product generated by Razorpay. For example, `acc_prd_HEgNpywUFctQ9e`.
</ParamField>

## Request Parameters

<ParamField body="notifications" type="object">
  This denotes the notifications settings.
</ParamField>

<ParamField body="email" type="string">
  The email addresses that will receive notifications regarding payments, settlements, daily payment reports, webhooks, and so on.
</ParamField>

<ParamField body="whatsapp" type="boolean">
  The WhatsApp notifications you receive regarding payments, settlements, daily payment reports, webhooks, etc.
</ParamField>

<ParamField body="sms" type="boolean">
  The SMS notifications you receive regarding payments, settlements, daily payment reports, webhooks, etc. This attribute will be set to `false`.
</ParamField>

<ParamField body="checkout" type="object">
  The checkout form of the payment capture.
</ParamField>

<ParamField body="theme_color" type="string">
  The theme color for sub-merchant's checkout page
</ParamField>

<ParamField body="logo" type="string">
  The logo of the sub-merchant's business on the checkout page.
</ParamField>

<ParamField body="flash_checkout" type="boolean">
  The flagging options **Enable** or **Disable** for Razorpay's Flash Checkout to securely save the card details of your customers.
</ParamField>

<ParamField body="refund" type="object">
  This denotes the payment refund settings.
</ParamField>

<ParamField body="default_refund_speed" type="string">
  Speed at which the refund is to be processed. Possible values are:

  * normal: Indicates that the refund will be processed at normal speed. By default, the refund will take 5-7 working days.
  * optimum: Indicates that the refund will be processed at an optimal speed based on Razorpay's internal fund transfer logic. That is:
    * If the refund can be processed instantly, Razorpay will initiate the process irrespective of the payment method used to make the payment.
    * If an instant refund is not made, Razorpay will initiate a refund that is processed at the normal speed. For example, payments made using debit cards, netbanking or unsupported credit cards.
</ParamField>

<ParamField body="settlements" type="object">
  The Settlement settings object.
</ParamField>

<ParamField body="account_number" type="string">
  The bank account number to which settlements are made. Account details can be found on the Dashboard. For example, 7878780080316316.
</ParamField>

<ParamField body="ifsc_code" type="string">
  The IFSC associated with the bank account. For example, `RATN0VAAPIS`.
</ParamField>

<ParamField body="beneficiary_name" type="string">
  The name of the beneficiary associated with the bank account.<br />
</ParamField>

<ParamField body="tnc_accepted" type="boolean">
  Pass this parameter to accept terms and conditions. Send this parameter along with the `ip` parameter when the `tnc` is accepted. Possible value is `true` which indicates acceptance of terms and conditions.
</ParamField>

<ParamField body="ip" type="string">
  The IP address of the merchant while accepting the terms and conditions. Send this parameter along with the `tnc_accepted` parameter when the `tnc` is accepted.
</ParamField>

<ParamField body="payment_methods" type="object">
  Details of the payment method you want to enable for the product.
</ParamField>

<ParamField body="netbanking" type="object">
  The payment method to be enabled.
</ParamField>

<ParamField body="enabled" type="boolean">
  Enables or disables the payment method. Possible values:

  * `true`: Enables the `netbanking` payment method.
  * `false`: Does not enable the `netbanking` payment method.
</ParamField>

<ParamField body="instrument" type="object">
  Details regarding the bank.
</ParamField>

<ParamField body="type" type="string">
  The type of bank. Possible values are `retail` and `corporate`.
</ParamField>

<ParamField body="bank" type="string">
  The bank code. Refer to the [list of bank codes](/docs/sg/partners/aggregators/onboarding-api/appendix#netbanking-bank-codes).
</ParamField>

<ParamField body="card" type="object">
  The payment method to be enabled.
</ParamField>

<ParamField body="enabled" type="boolean">
  Enables or disables the payment method. Possible values:

  * `true`: Enables the `card` payment method.
  * `false`: Does not enable the `card` payment method.
</ParamField>

<ParamField body="instrument" type="object">
  Details regarding the card.
</ParamField>

<ParamField body="type" type="string">
  Possible value is `domestic`.
</ParamField>

<ParamField body="issuer" type="string">
  The card issuer. Possible values:

  * `amex`
  * `dicl`
  * `maestro`
  * `mastercard`
  * `rupay`
  * `visa`
</ParamField>

<ParamField body="wallet" type="object">
  The payment method to be enabled.
</ParamField>

<ParamField body="enabled" type="boolean">
  Enables or disables the payment method. Possible values:

  * `true`: Enables the `wallet` payment method.
  * `false`: Does not enable the `wallet` payment method.
</ParamField>

<ParamField body="instrument" type="string">
  The wallet issuer. Possible values are:

  * `airtelmoney`
  * `amazonpay`
  * `jiomoney`
  * `mobiwik`
  * `mpesa`
  * `olamoney`
  * `paytm`
  * `payzapp`
  * `payumoney`
  * `phonepe`
  * `phonepeswitch`
  * `sbibuddy`
</ParamField>

<ParamField body="upi" type="object">
  The payment method to be enabled.
</ParamField>

<ParamField body="enabled" type="boolean">
  Enables or disables the payment method. Possible values:

  * `true`: Enables the `upi` payment method.
  * `false`: Does not enable the `upi` payment method.
</ParamField>

<ParamField body="instrument" type="string">
  The UPI service provider. Possible values are:

  * `google_pay`
  * `upi`
</ParamField>

<ParamField body="paylater" type="object">
  The payment method to be enabled.
</ParamField>

<ParamField body="enabled" type="boolean">
  Enables or disables the payment method. Possible values:

  * `true`: Enables the `paylater` payment method.
  * `false`: Does not enable the `paylater` payment method.
</ParamField>

<ParamField body="instrument" type="string">
  The Paylater service provider. Possible values are:

  * `epaylater`
  * `getsimpl`
</ParamField>

<ParamField body="emi" type="object">
  The payment method to be enabled.
</ParamField>

<ParamField body="enabled" type="boolean">
  Enables or disables the payment method. Possible values:

  * `true`: Enables the `paylater` payment method.
  * `false`: Does not enable the `paylater` payment method.
</ParamField>

<ParamField body="instrument" type="object">
  The EMI instrument object.
</ParamField>

<ParamField body="type" type="string">
  The type of EMI payment method. Possible values:

  * `card_emi`
  * `cardless_emi`
</ParamField>

<ParamField body="partner" type="string">
  The list of EMI partners requested or enabled. Possible values:

  * For `card_emi`: `debit` and `credit`.
  * For `cardless_emi`: `zestmoney` and `earlysalary`.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  The unique identifier of a product generated by Razorpay for a sub-merchant account. This id is used to fetch or update a product.
</ResponseField>

<ResponseField name="product_name" type="string">
  The product(s) to be configured. Possible values:

  * `payment_gateway`
  * `payment_links`
</ResponseField>

<ResponseField name="tnc" type="object">
  It consists of the configuration for the accepted terms and conditions by the merchant for the requested product. If the terms and conditions are accepted by the user for the requested product, it would consist of the following fields:
</ResponseField>

<ResponseField name="id" type="string">
  The unique identifier representing the acceptance of terms and conditions for a product by a user.
</ResponseField>

<ResponseField name="accepted" type="boolean">
  The flag that represents whether the terms and conditions are accepted by the user.

  * `true`: Terms and conditions are accepted by user.
  * `false`: Terms and conditions are not accepted by user.
</ResponseField>

<ResponseField name="accepted_at" type="integer">
  The Unix timestamp at which the terms and conditions were accepted by the user for the requested product.
</ResponseField>

<ResponseField name="activation_status" type="string">
  The status of the [product activation](/docs/sg/partners/aggregators/onboarding-api/product-activation).

  * `requested`
  * `needs_clarification`
  * `under_review`
  * `activated`
  * `suspended`
</ResponseField>

<ResponseField name="active_configuration" type="object">
  The configuration of the product that has been set as active.
</ResponseField>

<ResponseField name="payment_methods" type="object">
  The payment methods configured, such as, netbanking, UPI, Wallet and EMI.
</ResponseField>

<ResponseField name="upi" type="object">
  The UPI type payment method.
</ResponseField>

<ResponseField name="status" type="string">
  The status of UPI payment method.
</ResponseField>

<ResponseField name="instrument" type="array">
  The list of UPI instruments requested or enabled.
</ResponseField>

<ResponseField name="netbanking" type="object">
  The netbanking type payment method.
</ResponseField>

<ResponseField name="status" type="string">
  The status of the netbanking payment method.
</ResponseField>

<ResponseField name="instrument" type="array">
  The netbanking instrument object.
</ResponseField>

<ResponseField name="type" type="string">
  The type of netbanking payment method. Possible values:<br />

  * Retail<br />
  * Corporate
</ResponseField>

<ResponseField name="bank" type="array">
  The list of netbanking banks requested or enabled. Refer the [Appendix](/docs/sg/partners/aggregators/onboarding-api/appendix#netbanking-bank-codes) page for netbanking bank codes.
</ResponseField>

<ResponseField name="wallet" type="object">
  The Wallet type payment method.
</ResponseField>

<ResponseField name="status" type="string">
  The status of the Wallet payment method.
</ResponseField>

<ResponseField name="instrument" type="array">
  The list of Wallet instruments requested or enabled.
</ResponseField>

<ResponseField name="emi" type="string">
  The EMI type payment method.
</ResponseField>

<ResponseField name="status" type="string">
  The status of EMI payment method.
</ResponseField>

<ResponseField name="instrument" type="array">
  The EMI instrument object.
</ResponseField>

<ResponseField name="type" type="string">
  The type of EMI payment method. Possible values:

  * `card_emi`
  * `cardless_emi`
</ResponseField>

<ResponseField name="partner" type="array">
  The list of EMI partners requested or enabled. Possible values:

  * For `card_emi`: `debit` and `credit`.
  * For `cardless_emi`: `zestmoney` and `earlysalary`.
</ResponseField>

<ResponseField name="paylater" type="object">
  The payment method to be enabled.
</ResponseField>

<ResponseField name="enabled" type="boolean">
  Enables or disables the payment method. Possible values:

  * `true`: Enables the `paylater` payment method.
  * `false`: Does not enable the `paylater` payment method.
</ResponseField>

<ResponseField name="instrument" type="string">
  The Paylater service provider. Possible values are:

  * `epaylater`
  * `getsimpl`
</ResponseField>

<ResponseField name="payment_capture" type="object">
  The payment capture settings object.
</ResponseField>

<ResponseField name="mode" type="string">
  The mode through which payment capture is done. Possible values:

  * `automatic`: Payments are auto-captured (default)
  * `manual`: You have to manually capture payments using our Capture API or from the Partner's Dashboard.
</ResponseField>

<ResponseField name="automatic_expiry" type="numeric">
  This denotes the time in minutes when the payment is in the authorized state. This is auto-captured.
</ResponseField>

<ResponseField name="manual_expiry" type="numeric">
  This denotes the time in minutes until you can manually capture payments in the authorized state.

  * Must be equal to or greater than the `automatic_expire_period` value.
  * The default and the maximum value is 7200 minutes.
  * The payments in the authorized state after the `manual_expiry_period` are auto-refunded.
</ResponseField>

<ResponseField name="settlements" type="object">
  The Settlement settings object.
</ResponseField>

<ResponseField name="account_number" type="string">
  The bank account number to which settlements are made. Account details can be found on the Dashboard. For example, 7878780080316316.
</ResponseField>

<ResponseField name="ifsc_code" type="string">
  The IFSC associated with the bank account. For example, `RATN0VAAPIS`.
</ResponseField>

<ResponseField name="beneficiary_name" type="string">
  The name of the beneficiary associated with the bank account. This API parameter is needed complete the KYC process. However, it is optional for this API.
</ResponseField>

<ResponseField name="refund" type="object">
  This denotes the payment refund settings.
</ResponseField>

<ResponseField name="default_refund_speed" type="string">
  Speed at which the refund is to be processed. Possible values are:

  * normal: Indicates that the refund will be processed at the normal speed. By default, the refund will take 5-7 working days.
  * optimum: Indicates that the refund will be processed at an optimal speed based on Razorpay's internal fund transfer logic. That is:
    * If the refund can be processed instantly, Razorpay will initiate the process irrespective of the payment method used to make the payment.
    * If an instant refund is not made, Razorpay will initiate a refund that is processed at the normal speed. For example, payments made using debit cards, netbanking or unsupported credit cards.
</ResponseField>

<ResponseField name="checkout" type="object">
  The checkout form of the payment capture.
</ResponseField>

<ResponseField name="theme_color" type="string">
  The theme color for sub-merchant's checkout page
</ResponseField>

<ResponseField name="logo" type="string">
  The logo of the sub-merchant's business on the checkout page.
</ResponseField>

<ResponseField name="flash_checkout" type="boolean">
  The flagging options **Enable** or **Disable** for Razorpay's Flash Checkout to securely save the card details of your customers.
</ResponseField>

<ResponseField name="notifications" type="object">
  This denotes the notifications settings.
</ResponseField>

<ResponseField name="email" type="string">
  The email addresses that will receive notifications regarding payments, settlements, daily payment reports, webhooks, and so on.
</ResponseField>

<ResponseField name="whatsapp" type="boolean">
  The WhatsApp notifications you receive regarding payments, settlements, daily payment reports, webhooks, etc.
</ResponseField>

<ResponseField name="sms" type="boolean">
  The SMS notifications you receive regarding payments, settlements, daily payment reports, webhooks, etc. This attribute will be set to `false`.
</ResponseField>

<ResponseField name="requested_configuration" type="object">
  The configuration of the product requested by the user that is yet to be set as active.
</ResponseField>

<ResponseField name="requirements" type="object">
  The list of requirements to be enabled for this product or some of the configurations under this product.
</ResponseField>

<ResponseField name="field_reference" type="string">
  The field which is in issue or missing. The JSON key path in resolution URL.
</ResponseField>

<ResponseField name="resolution_url" type="string">
  The URL to address the requirement. The API endpoint to be used for updating missing fields or documents.
</ResponseField>

<ResponseField name="status" type="string">
  The status of the requirement.
</ResponseField>

<ResponseField name="reason_code" type="string">
  The reason code for showing in the requirement. Description will be sent only when reason code is "". Possible values are:

  * `field_missing`
  * `needs_clarification`
  * `document_missing`
</ResponseField>

<ResponseField name="description" type="string">
  This parameter is displayed when the reason\_code is `needs_clarification`.
</ResponseField>

<ResponseField name="requested_at" type="integer">
  The Unix timestamp at which the product configuration is requested.
</ResponseField>
